[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Forms' (#lcl)

# TCustomFrame.DefineProperties

Defines non-published properties that are included in LCL component streaming.

## Declaration

Source position: forms.pp line 330

`protected procedure TCustomFrame.DefineProperties(`
`Filer: TFiler`
`); override;`

## Arguments

`Filer` |  | TFiler instance where property definitions are added.

## Description

DefineProperties is an overridden method used to include non-published properties in the values read and written during LCL component streaming. In TCustomFrame, design-time information for the Top and Left coordinates for the frame are included (when available) in the specified TFiler instance.

## See also

TControl.DefineProperties |  | Defines which non-published properties should be streamed (none here).